VERSION 5.00
Object = "{F856EC8B-F03C-4515-BDC6-64CBD617566A}#8.0#0"; "fpSPR80.OCX"
Begin VB.Form importexport 
   Caption         =   "FarPoint Spread Import/Export"
   ClientHeight    =   7890
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9015
   LinkTopic       =   "Form1"
   ScaleHeight     =   7890
   ScaleWidth      =   9015
   Begin FPSpreadADO.fpSpread vaSpread1 
      Height          =   6195
      Left            =   60
      TabIndex        =   8
      Top             =   1080
      Width           =   8895
      _Version        =   524288
      _ExtentX        =   15690
      _ExtentY        =   10927
      _StockProps     =   64
      AllowCellOverflow=   -1  'True
      BackColorStyle  =   1
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      GridShowHoriz   =   0   'False
      GridShowVert    =   0   'False
      MaxCols         =   8
      MaxRows         =   24
      NoBorder        =   -1  'True
      ProcessTab      =   -1  'True
      ScrollBars      =   0
      SpreadDesigner  =   "importexport.frx":0000
      VisibleCols     =   8
      VisibleRows     =   24
      ClipboardOptions=   0
   End
   Begin VB.CommandButton Command8 
      Caption         =   "Export as .ss8"
      Height          =   375
      Left            =   6300
      TabIndex        =   7
      Top             =   7440
      Width           =   1695
   End
   Begin VB.CommandButton Command7 
      Caption         =   "View .ss8 (Spread) Export"
      Height          =   315
      Left            =   4560
      TabIndex        =   6
      Top             =   600
      Width           =   2115
   End
   Begin VB.CommandButton Command6 
      Caption         =   "Export Tab-Delimited"
      Height          =   375
      Left            =   4560
      TabIndex        =   5
      Top             =   7440
      Width           =   1695
   End
   Begin VB.CommandButton Command5 
      Caption         =   "View Tab Delimited Export"
      Height          =   315
      Left            =   2280
      TabIndex        =   4
      Top             =   600
      Width           =   2115
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Export as Excel"
      Height          =   375
      Left            =   3060
      TabIndex        =   3
      Top             =   7440
      Width           =   1455
   End
   Begin VB.CommandButton Command3 
      Caption         =   "View Excel Export"
      Height          =   315
      Left            =   4560
      TabIndex        =   2
      Top             =   120
      Width           =   2115
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Export as HTML"
      Height          =   375
      Left            =   1560
      TabIndex        =   1
      Top             =   7440
      Width           =   1455
   End
   Begin VB.CommandButton Command1 
      Caption         =   "View HTML Export"
      Height          =   315
      Left            =   2280
      TabIndex        =   0
      Top             =   120
      Width           =   2115
   End
End
Attribute VB_Name = "importexport"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim mypath As String

Private Sub Command1_Click()
Dim RetVal
     On Error GoTo ErrorHandler   ' Enable error-handling routine.
        RetVal = Shell("C:\Program Files\Internet Explorer\Iexplore.exe " & mypath & "\spreadhtml.htm", 1)
    Exit Sub      ' Exit to avoid handler.

ErrorHandler:   ' Error-handling routine.
    MsgBox "Please check the path to Iexplore.exe in Importexport.frm | Command1_Click"
   
End Sub

Private Sub Command2_Click()
Dim ret
   ret = vaSpread1.ExportToHTML(mypath & "\spreadhtml.htm", False, "")
   MsgBox "Done"
End Sub

Private Sub Command3_Click()
Dim RetVal
    On Error Resume Next   ' Enable error-handling routine.
        RetVal = Shell("C:\Program Files\Microsoft Office\Office\EXCEL.EXE """ & mypath & "\spreadexcel.xls""", 1)
    On Error GoTo ErrorHandler   ' Enable error-handling routine.
        RetVal = Shell("C:\Program Files\Microsoft Office\Office10\EXCEL.EXE """ & mypath & "\spreadexcel.xls""", 1)
    Exit Sub      ' Exit to avoid handler.

ErrorHandler:   ' Error-handling routine.
    MsgBox "Please check the path to Excel.exe in Importexport.frm | Command3_Click"

End Sub

Private Sub Command4_Click()
Dim ret
   ret = vaSpread1.ExportToExcel(mypath & "\spreadexcel.xls", "one", "")
   MsgBox "Done"
End Sub

Private Sub Command5_Click()
Dim RetVal
    RetVal = Shell("NOTEPAD.EXE " & mypath & "\spreadtab.txt", 1)

End Sub

Private Sub Command6_Click()
Dim ret
    ret = vaSpread1.SaveTabFile(mypath & "\spreadtab.txt")
   MsgBox "Done"

End Sub

Private Sub Command7_Click()
    MsgBox "The spreadsheet below is an imported spreadsheet file.", 0, "Spread File Import"
End Sub

Private Sub Command8_Click()
Dim ret
    ret = vaSpread1.SaveToFile(mypath & "\spreadss.ss7", False)
   MsgBox "Done"

End Sub

Private Sub Form_Activate()
    Screen.MousePointer = 0
End Sub

Private Sub Form_Load()
    mypath = App.Path & "\ImportExport"
End Sub
